NativeLibrary.OSType (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.utils

## Enum NativeLibrary.OSType

- java.lang.Object
- - java.lang.Enum<NativeLibrary.OSType>
  - - org.apache.cassandra.utils.NativeLibrary.OSType

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<NativeLibrary.OSType>
  Enclosing class:
    NativeLibrary

      public static enum NativeLibrary.OSType
      extends java.lang.Enum<NativeLibrary.OSType>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `AIX`
    `LINUX`
    `MAC`
    `OTHER`
    `WINDOWS`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static NativeLibrary.OSType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static NativeLibrary.OSType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### LINUX

          public static final NativeLibrary.OSType LINUX

    - #### MAC

          public static final NativeLibrary.OSType MAC

    - #### WINDOWS

          public static final NativeLibrary.OSType WINDOWS

    - #### AIX

          public static final NativeLibrary.OSType AIX

    - #### OTHER

          public static final NativeLibrary.OSType OTHER

  - ### Method Detail

    - #### values

          public static NativeLibrary.OSType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (NativeLibrary.OSType c : NativeLibrary.OSType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static NativeLibrary.OSType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

Copyright © 2018 The Apache Software Foundation